如果您使用的是Ubuntu或Debian,请安装libgtk2.0-dev和PKG config,然后重新运行cmake或config,解决,IfyouareonUbuntuorDebianinstalllibgtk20devandpkgconfigthenreruncmakeorconfig

发表时间:2020-09-29

问题描述:

已经安装了opencv的库,
sudo pip3 install opencv-python(树莓派)
但是调用时,cv2.****函数会报错
eg:
cv2.imshow(“people_pic”, gray) # 显示图片
cv2.waitKey(5)
cv2.****函数会报错


原因分析:

要保证openv-contrib-python的版本要大于等于opencv-python

解决方案:

1.升级openv-contrib-python

如果你的opencv-python版本很高,升级openv-contrib-python也没用!

pip install --upgrade pip
pip install opencv-contrib-python

2.降级opencv-python(下载指定版本)

个人觉得先升级openv-contrib-python,再降级opencv-python方便点
以下是树莓派降级的方法:
(1)首先卸载了你下好的opencv的库(具体操作自行百度)
(2)本人实测这版本好用opencv-3.4.3.18(个人觉得)

sudo pip3 install opencv-contrib-python==3.4.3.18

也许你下载到99%的时候就会报错,这时候更换B计划(换国内源)

sudo pip3 install opencv-contrib-python==3.4.3.18 -i http://mirrors.aliyun.com/pypi/simple

我就是报错了N次,更换了国内源一次就成功了!!!

pip国内的一些镜像

阿里云:http://mirrors.aliyun.com/pypi/simple
中国科技大学: https://pypi.mirrors.ustc.edu.cn/simple/
豆瓣: http://pypi.douban.com/simple/
清华大学: https://pypi.tuna.tsinghua.edu.cn/simple/
中国科学技术大学: http://pypi.mirrors.ustc.edu.cn/simple/

修改源方法:

可以在使用pip的时候在后面加上-i参数,指定pip源
eg:

sudo pip3 install opencv-contrib-python -i http://mirrors.aliyun.com/pypi/simple

以上是本人实际应用中的问题记录,如有错误,欢迎评论区指出

文章来源互联网,如有侵权,请联系管理员删除。邮箱:417803890@qq.com / QQ:417803890

微配音

Python Free

邮箱:417803890@qq.com
QQ:417803890

皖ICP备19001818号
© 2019 copyright www.pythonf.cn - All rights reserved

微信扫一扫关注公众号:

联系方式

Python Free